Subject: [PATCH 2/2] ARM: dts: sun8i: enable UART1 for iNet D978 Rev2 board

From: [email-masked] (Icenowy Zheng)
Date: Thu, 25 Aug 2016 14:57:24 +0800

25.08.2016, 12:41, "Chen-Yu Tsai" <[email-masked]>:
> On Thu, Aug 25, 2016 at 7:58 AM, Icenowy Zheng <[email-masked]> wrote:
>> ?25.08.2016, 03:36, "Maxime Ripard" <[email-masked]>:
>>> ?Hi,
>>>
>>> ?On Tue, Aug 23, 2016 at 02:44:51PM +0800, Icenowy Zheng wrote:
>>>> ??UART1 is connected to the bluetooth part of RTL8723BS WiFi/BT combo card
>>>> ??on iNet D978 Rev2 board.
>>>>
>>>> ??Enable the UART1 to make it possible to use the modified hciattach by
>>>> ??Realtek to drive the BT part of RTL8723BS.
>>>>
>>>> ??Signed-off-by: Icenowy Zheng <[email-masked]>
>>>
>>> ?I guess you could fold that patch into the previous one.
>>>
>>>> ??---
>>>> ???arch/arm/boot/dts/sun8i-a33-inet-d978-rev2.dts | 11 +++++++++++
>>>> ???1 file changed, 11 insertions(+)
>>>>
>>>> ??diff --git a/arch/arm/boot/dts/sun8i-a33-inet-d978-rev2.dts b/arch/arm/boot/dts/sun8i-a33-inet-d978-rev2.dts
>>>> ??index 78823d8..3ac22d4 100644
>>>> ??--- a/arch/arm/boot/dts/sun8i-a33-inet-d978-rev2.dts
>>>> ??+++ b/arch/arm/boot/dts/sun8i-a33-inet-d978-rev2.dts
>>>> ??@@ -48,6 +48,10 @@
>>>> ???????????model = "INet-D978 Rev 02";
>>>> ???????????compatible = "primux,inet-d978-rev2", "allwinner,sun8i-a33";
>>>>
>>>> ??+ aliases {
>>>> ??+ serial1 = &uart1;
>>>> ??+ };
>>>> ??+
>>>
>>> ?Is there any other UART in the system?
>>
>> ?serial0 is defined in sun8i-reference-design-tablet.dtsi, as r_uart.
>
> If your board does not have r_uart pads, then the right thing to do
> would be to disable it. You can then have uart1 as serial0.

I don't know it. The RX/TX is wired on PF2/PF4 on the board (UART0 muxed with
MMC)

But many codes will require a ttyS0 as console... So I think the bluetooth should be
located at ttyS1...

>
> AFAIK Linux requires a console, but that console can be simplefb.
>
> ChenYu
>
>>> ?The alias is not supposed to be about the controller index, but the
>>> ?index in the board, meaning that if you only have a single UART, that
>>> ?would be serial0.
>>>
>>> ?Thanks!
>>> ?Maxime
>>>
>>> ?--
>>> ?Maxime Ripard, Free Electrons
>>> ?Embedded Linux and Kernel engineering
>>> ?http://free-electrons.com